	.data
	.globl	a
	.align	8
	.type	a, @object
	.size	a, 8
a:
	.quad	0xa

	.data
	.globl	s
	.align	8
	.type	s, @object
	.size	s, 8
s:
	.quad	.LC0

	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	mov	$.LC1, %rax
	mov	%rax, %rdi
	mov	a(%rip), %rax
	mov	%rax, %rsi
	mov	s(%rip), %rax
	mov	%rax, %rdx
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC1:	.string	"%d %s\n"
.LC0:	.string	"test"
